Subject: Re: [bug#30654] giflib / khtml build failures

From: Hartmut Goebel <[email-masked]>
Date: Wed, 28 Feb 2018 22:06:06 +0100

Am 28.02.2018 um 22:57 schrieb Danny Milosavljevic:
> I would prefer to remove reallocarray from giflib entirely.

But this is a much more invasive change. I'd leave this to upstream.
IMHO To do it correctly, we would need to use conditional compilation -
which I can not do anyway due to lack of glibc knowledge.

What about renaming the one in giflib into __giflib__reallocmemory? It's
only used 9 times in the whole code.

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |